View Issue Details

IDProjectCategoryView StatusLast Update
0016980MediaMonkey 5Main Panel: Toolbars & Menuspublic2020-12-10 18:49
Reporterpeke Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016980: Podcasts: Layout view locked in grid mode
DescriptionEven podcast view is apparently tabbed view in some cases it is locked in Grid view.

In test a of 0016952 Ludek and I could not replicate my behavior of my podcast view but for me Podcast view is locked in Grid View (Icon shown).

Roaming folder, Video of bug are supplied.
TagsNo tags attached.
Fixed in build2269

Activities

peke

2020-10-02 22:22

developer   ~0059748

Ludek

2020-10-05 09:48

developer   ~0059756

To undestand:
On the screenshot image_2020_10_02T08_40_36_384Z.png you can see that:
- Tabbed view is used for Home > Podcasts
- Grid view is used for Home > Podcasts > Subscriptions

So both Grid and Tabbed icons are correct, the only question is which of these two should be shown on the toolbar.
It is questionable, but I think that the Grid icon should be shown there (as is on the screenshot below)

Fixed in 2269

peke

2020-10-11 20:17

developer   ~0059810

@Rusty
Can you please review, like Ludek I can't decide what is the best approach?

rusty

2020-12-10 02:13

administrator   ~0060671

It's the View name (and its associated icon) that should appear in the View selector and it should match the View Name as it appears in Manage Views (currently it doesn't). The root issue here is that two views are shown as active for 'Podcasts': 'Tabbed view' and 'Grid'! There should be only one view active at once, and in this case the most appropriate name would be Grid (including in Manage Views).

In order to solve the issue of how to represent the tabs, they should be shown as a View Element (just like 'Collection Browser' is a View Element--in fact these tabs function very similarly to the Collection browser view element--so perhaps they should be called 'Tab browser' (I'm open to other ideas).

The first issue can probably be fixed trivially for 5.0. The second requires a new string (5.1).

Ludek

2020-12-10 11:35

developer   ~0060677

Last edited: 2020-12-10 11:41

View 3 revisions

This isn't true that there is only one active view, there are:
"Tabbed view" active for Home > Podcasts
"Grid" via active for the "Subscriptions" tab inside the tabbed view

If we would show just "Grid" then there wouldn't be a way how to change Home > Podcast from "Tabbed view" to "List" view or "List (by Album)" view.
So maybe you are suggesting that we should hardcote Home > Podcasts to the "Tabbed view" ?
i.e. there wouldn't be the ability to switch to "List" view anymore ?? See: https://www.dropbox.com/s/8uh9xgkrdt503kg/screenshot%202020-12-10%2012.34.45.png?dl=0

Alernativelly we could abandon the tabbed view and show the podcast subnodes rather in Grid view like this: https://www.dropbox.com/s/y2wlkbeepj9kq87/screenshot%202020-12-10%2012.41.07.png?dl=0

rusty

2020-12-10 18:49

administrator   ~0060692

I think that there was a misunderstanding. I'm not saying that there should be only one view, but rather that it doesn't make sense to have 2 views highlighted at once when only a single view is active. I'm pretty sure that this is still not clear, so here's a video that better describes the issues:
https://www.screencast.com/t/Kr6kYD9TO8